Subject: Re: bug#48011: 27.2; Emacs freezes in modula 2 mode when entering a :

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Apr 2021 11:58:13 +0300

> From: Dan Čermák <[email-masked]>
> Date: Sun, 25 Apr 2021 09:53:17 +0200
> 
> This is a forward of https://bugzilla.redhat.com/show_bug.cgi?id=1950158
> 
> Emacs 27.2 freezes when editing a file that ends with .mod (i.e. it
> opens the file in Modula 2 mode) after one enters a ':'. The UI simply
> hangs until one interrupts it with C-g.
> 
> This happens with emacs -Q as well as with the Emacs flatpak (thus I
> assume that it is not Fedora specific).

I cannot reproduce this using the recipe in the Bugzilla report,
neither in Emacs 27.2 nor in the current master branch.  I see no
hang.

If C-g interrupts the hang, please set debug-on-signal non-nil, repeat
the recipe, press C-g, and post the Lisp backtrace here.

Thanks.